/*
 *	Plurals
 *
 *	Author:	S.C.Merrall
 *
 *	File:	mp_main.h
 *
 *	Contents:	
 *
 *	Description:	   External declarations of all functions operating
 * 			on Plural lisp objects, that is MasPar Plural Heap
 *			objects . (At this time)
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    23:04:91 SCM  Created
 *    14:04:91 SCM  print_lisp_object => print
 *    16:06:91 SCM  Moved to mp_lispobject.h
 *    16:06:91 SCM  Added scratch
 *
 */

#ifdef __STDC__

extern plural int print( object, int );

extern  int cons( object, object, object );
extern  int car( object, object );
extern  int cdr( object, object );
extern  int rplac_a( object, object );
extern  int rplac_d( object, object );

extern int plus( object, object, object );
extern int less_than( object, object, object );
extern int and( object, object, object );

extern int make_vector( int, object );
extern int vector_set( object, int, object );
extern int vector_ref( object, int, object );

extern object alloc_plural( object, int );

extern int mp_if( object, object );

#else

extern  plural int print();

extern  int cons();
extern  int car();
extern  int cdr();
extern  int rplac_a();
extern  int rplac_d();

extern int plus();
extern int less_than();
extern int and(); 

extern int make_vector();
extern int vector_set();
extern int vector_ref();

extern object alloc_plural();

extern int mp_if();

#endif

extern plural char scratch[];
